//  Persistance of Vision Raytracer V3.0
//  World definition file.
//
//  Contains 0 lights, 7 textures and 65 primitives.
//
//  This file was generated for POV-Ray V3.0 by
//  Moray V3.0 For Windows (c) 1991-1998 Lutz + Kretzschmar
//

//  Date : 04/30/1998    (30.04.1998)
//

/*
  The text between these two comments is in MorayPOV.INC and is
  automatically included in all POV files that Moray exports.
*/

/* // Scene Comment

This scene was created with Moray For Windows.

*/ // End Scene Comment

global_settings {
  adc_bailout 0.003922
  ambient_light <1.0,1.0,1.0>
  assumed_gamma 1.9
  hf_gray_16 off
  irid_wavelength <0.247059,0.176471,0.137255>
  max_intersections 64
  max_trace_level 10
  number_of_waves 10
  radiosity {
    brightness       3.3
    count            100
    distance_maximum 0.0
    error_bound      0.4
    gray_threshold   0.5
    low_error_factor 0.8
    minimum_reuse    0.015
    nearest_count    6
    recursion_limit  1
  }
}

background { color <0.000,0.000,0.000> }

camera {  //  Camera StdCam
  location  <9.344, -52.363, 4.736>
  direction <0.0,     0.0,  2.4880>
  sky       <0.0,     0.0,  1.0>  // Use right handed-system!
  up        <0.0,     0.0,  1.0>  // Where Z is up
  right     <1.33333,  0.0,  0.0>
  look_at   <0.000, -0.000, 0.000>
}


//
// ********  TEXTURES  *******
//

#include "torii4.inc"


//
// ********  REFERENCED OBJECTS  *******
//



//
// ********  OBJECTS  *******
//

plane { // Lake
  z,0
  texture {
    Pacific_1
  }
  scale 5.0
}


sphere { // Sphere7
  <0,0,0>,1
  texture {
    White_Star
  }
  no_shadow
  scale 0.091584
  translate  <-16.230791, 44.001234, 15.448671>
}


sphere { // Sphere6
  <0,0,0>,1
  texture {
    White_Star
  }
  no_shadow
  scale 0.091584
  translate  <-23.669299, 44.228338, 12.561144>
}


sphere { // Sphere5
  <0,0,0>,1
  texture {
    White_Star
  }
  no_shadow
  scale 0.091584
  translate  <-28.79736, 45.336002, 11.199864>
}


sphere { // Sphere4
  <0,0,0>,1
  texture {
    White_Star
  }
  no_shadow
  scale 0.091584
  translate  <-20.908034, 44.612116, 15.941322>
}


sphere { // Sphere3
  <0,0,0>,1
  texture {
    White_Star
  }
  no_shadow
  scale 0.091584
  translate  <-5.692906, 43.695577, 14.800588>
}


sphere { // Sphere2
  <0,0,0>,1
  texture {
    White_Star
  }
  no_shadow
  scale 0.091584
  translate  <-25.923392, 45.209858, 12.126642>
}


sphere { // Sphere001
  <0,0,0>,1
  texture {
    White_Star
  }
  no_shadow
  scale 0.091584
  translate  <15.720979, 45.209858, 12.313028>
}


// The following include file contains the definition for TapSwp001
#include "torii4.in1"
#declare TapSwp001 = object {
  TapSwp001_Raw
  rotate -180.0*y
  translate  <0.0, -5.106346, 5.273768>
}
#declare Grp001 = union {
  box { // top
    <-1, -1, -1>, <1, 1, 1>
    scale <0.497736, 0.497736, 0.330315>
    translate  <0.0, -5.022636, 4.101819>
  }
  object { TapSwp001 }
}
// The following include file contains the definition for TapSwp2
#include "torii4.in2"
#declare TapSwp2 = object {
  TapSwp2_Raw
  rotate -180.0*y
  translate  <0.0, -5.106346, 5.273768>
}
#declare Grp2 = union {
  box { // top1
    <-1, -1, -1>, <1, 1, 1>
    scale <0.497736, 0.497736, 0.330315>
    translate  <0.0, -5.022636, 4.101819>
  }
  object { TapSwp2 }
  translate  10.048974*y
}
#declare bits = union {
  box { // bit
    <-1, -1, -1>, <1, 1, 1>
    scale <0.135697, 0.41524, 0.097833>
    rotate -21.089729*x
    translate  <-0.027087, -4.413701, 1.73418>
  }
  box { // bit1
    <-1, -1, -1>, <1, 1, 1>
    scale <0.135697, 0.41524, 0.097833>
    rotate 21.09*x
    translate  <-0.027087, -5.591159, 1.73418>
  }
  translate  <0.0, -0.005067, -0.020269>
}
#declare bits1 = union {
  box { // bit2
    <-1, -1, -1>, <1, 1, 1>
    scale <0.135697, 0.41524, 0.097833>
    rotate -21.089729*x
    translate  <-0.027087, -4.413701, 1.73418>
  }
  box { // bit3
    <-1, -1, -1>, <1, 1, 1>
    scale <0.135697, 0.41524, 0.097833>
    rotate 21.09*x
    translate  <-0.027087, -5.591159, 1.73418>
  }
  translate  <0.0, 10.030074, -0.007371>
}
#declare bits2 = union {
  box { // bit4
    <-1, -1, -1>, <1, 1, 1>
    scale <0.135697, 0.41524, 0.097833>
    rotate -21.089729*x
    translate  <-0.027087, -3.929343, 1.63221>
  }
  box { // bit5
    <-1, -1, -1>, <1, 1, 1>
    scale <0.135697, 0.41524, 0.097833>
    rotate 21.09*x
    translate  <-0.027087, -6.075517, 1.63221>
  }
  translate  <0.0, 5.001563, 0.099041>
}
#declare Grp002 = union {
  object { bits }
  object { bits1 }
  object { bits2 }
}
#declare bits3 = union {
  box { // bit6
    <-1, -1, -1>, <1, 1, 1>
    scale <0.135697, 0.41524, 0.097833>
    rotate -21.089729*x
    translate  <-0.027087, -4.559591, 1.73418>
  }
  box { // bit7
    <-1, -1, -1>, <1, 1, 1>
    scale <0.135697, 0.41524, 0.097833>
    rotate 21.09*x
    translate  <-0.027087, -5.461479, 1.73418>
  }
  translate  <0.0, -0.005067, -0.020269>
}
#declare bits4 = union {
  box { // bit8
    <-1, -1, -1>, <1, 1, 1>
    scale <0.135697, 0.41524, 0.097833>
    rotate -21.089729*x
    translate  <-0.027087, -4.543381, 1.73418>
  }
  box { // bit9
    <-1, -1, -1>, <1, 1, 1>
    scale <0.135697, 0.41524, 0.097833>
    rotate 21.09*x
    translate  <-0.027087, -5.477689, 1.73418>
  }
  translate  <0.0, 10.030074, -0.007371>
}
#declare bits5 = union {
  box { // bit10
    <-1, -1, -1>, <1, 1, 1>
    scale <0.135697, 0.41524, 0.097833>
    rotate -21.089729*x
    translate  <-0.027087, -4.156284, 1.63221>
  }
  box { // bit11
    <-1, -1, -1>, <1, 1, 1>
    scale <0.135697, 0.41524, 0.097833>
    rotate 21.09*x
    translate  <-0.027087, -5.848576, 1.63221>
  }
  translate  <0.0, 5.001563, 0.099041>
}
#declare Grp3 = union {
  object { bits3 }
  object { bits4 }
  object { bits5 }
  translate  1.695601*z
}
#declare otherside = union {
  cone { // midcone
    <0,0,0>, 0.0, <0,0,1>, 1.0
    scale <1.054275, 1.069921, 8.868796>
    rotate 180.0*y
    translate  <0.0, -0.0, 8.789613>
  }
  cone { // forwardcone
    <0,0,0>, 0.0, <0,0,1>, 1.0
    scale <0.620076, 0.59568, 5.185529>
    rotate -180.0*y
    translate  <0.0, 5.022636, 5.106346>
  }
  cone { // forwardcone1
    <0,0,0>, 0.0, <0,0,1>, 1.0
    scale <0.620076, 0.59568, 5.185529>
    rotate -180.0*y
    translate  <0.0, -5.0, 5.106346>
  }
  object { Grp001 }
  object { Grp2 }
  box { // cross
    <-1, -1, -1>, <1, 1, 1>
    scale <0.131603, 6.5249, 0.216146>
    translate  <-0.031186, -0.065736, 1.255659>
  }
  box { // cross1
    <-1, -1, -1>, <1, 1, 1>
    scale <0.131603, 6.5249, 0.216146>
    translate  <-0.01111, -0.012667, 2.953856>
  }
  object { Grp002 }
  object { Grp3 }
  no_shadow
  translate  6.324135*x
}
// The following include file contains the definition for TapSwp3
#include "torii4.in3"
#declare TapSwp3 = object {
  TapSwp3_Raw
  rotate -180.0*y
  translate  <0.0, -5.106346, 5.273768>
}
#declare Grp4 = union {
  box { // top2
    <-1, -1, -1>, <1, 1, 1>
    scale <0.497736, 0.497736, 0.330315>
    translate  <0.0, -5.022636, 4.101819>
  }
  object { TapSwp3 }
}
// The following include file contains the definition for TapSwp4
#include "torii4.in4"
#declare TapSwp4 = object {
  TapSwp4_Raw
  rotate -180.0*y
  translate  <0.0, -5.106346, 5.273768>
}
#declare Grp5 = union {
  box { // top3
    <-1, -1, -1>, <1, 1, 1>
    scale <0.497736, 0.497736, 0.330315>
    translate  <0.0, -5.022636, 4.101819>
  }
  object { TapSwp4 }
  translate  10.048974*y
}
#declare bits6 = union {
  box { // bit12
    <-1, -1, -1>, <1, 1, 1>
    scale <0.135697, 0.41524, 0.097833>
    rotate -21.089729*x
    translate  <-0.027087, -4.413701, 1.73418>
  }
  box { // bit13
    <-1, -1, -1>, <1, 1, 1>
    scale <0.135697, 0.41524, 0.097833>
    rotate 21.09*x
    translate  <-0.027087, -5.591159, 1.73418>
  }
  translate  <0.0, -0.005067, -0.020269>
}
#declare bits7 = union {
  box { // bit14
    <-1, -1, -1>, <1, 1, 1>
    scale <0.135697, 0.41524, 0.097833>
    rotate -21.089729*x
    translate  <-0.027087, -4.413701, 1.73418>
  }
  box { // bit15
    <-1, -1, -1>, <1, 1, 1>
    scale <0.135697, 0.41524, 0.097833>
    rotate 21.09*x
    translate  <-0.027087, -5.591159, 1.73418>
  }
  translate  <0.0, 10.030074, -0.007371>
}
#declare bits8 = union {
  box { // bit16
    <-1, -1, -1>, <1, 1, 1>
    scale <0.135697, 0.41524, 0.097833>
    rotate -21.089729*x
    translate  <-0.027087, -3.929343, 1.63221>
  }
  box { // bit17
    <-1, -1, -1>, <1, 1, 1>
    scale <0.135697, 0.41524, 0.097833>
    rotate 21.09*x
    translate  <-0.027087, -6.075517, 1.63221>
  }
  translate  <0.0, 5.001563, 0.099041>
}
#declare Grp6 = union {
  object { bits6 }
  object { bits7 }
  object { bits8 }
}
#declare bits9 = union {
  box { // bit18
    <-1, -1, -1>, <1, 1, 1>
    scale <0.135697, 0.41524, 0.097833>
    rotate -21.089729*x
    translate  <-0.027087, -4.559591, 1.73418>
  }
  box { // bit19
    <-1, -1, -1>, <1, 1, 1>
    scale <0.135697, 0.41524, 0.097833>
    rotate 21.09*x
    translate  <-0.027087, -5.461479, 1.73418>
  }
  translate  <0.0, -0.005067, -0.020269>
}
#declare bits10 = union {
  box { // bit20
    <-1, -1, -1>, <1, 1, 1>
    scale <0.135697, 0.41524, 0.097833>
    rotate -21.089729*x
    translate  <-0.027087, -4.543381, 1.73418>
  }
  box { // bit21
    <-1, -1, -1>, <1, 1, 1>
    scale <0.135697, 0.41524, 0.097833>
    rotate 21.09*x
    translate  <-0.027087, -5.477689, 1.73418>
  }
  translate  <0.0, 10.030074, -0.007371>
}
#declare bits11 = union {
  box { // bit22
    <-1, -1, -1>, <1, 1, 1>
    scale <0.135697, 0.41524, 0.097833>
    rotate -21.089729*x
    translate  <-0.027087, -4.156284, 1.63221>
  }
  box { // bit23
    <-1, -1, -1>, <1, 1, 1>
    scale <0.135697, 0.41524, 0.097833>
    rotate 21.09*x
    translate  <-0.027087, -5.848576, 1.63221>
  }
  translate  <0.0, 5.001563, 0.099041>
}
#declare Grp7 = union {
  object { bits9 }
  object { bits10 }
  object { bits11 }
  translate  1.695601*z
}
#declare otherside1 = union {
  cone { // midcone1
    <0,0,0>, 0.0, <0,0,1>, 1.0
    scale <1.054275, 1.069921, 8.868796>
    rotate 180.0*y
    translate  <0.0, -0.0, 8.789613>
  }
  cone { // forwardcone2
    <0,0,0>, 0.0, <0,0,1>, 1.0
    scale <0.620076, 0.59568, 5.185529>
    rotate -180.0*y
    translate  <0.0, 5.022636, 5.106346>
  }
  cone { // forwardcone3
    <0,0,0>, 0.0, <0,0,1>, 1.0
    scale <0.620076, 0.59568, 5.185529>
    rotate -180.0*y
    translate  <0.0, -5.0, 5.106346>
  }
  object { Grp4 }
  object { Grp5 }
  box { // cross2
    <-1, -1, -1>, <1, 1, 1>
    scale <0.131603, 6.5249, 0.216146>
    translate  <-0.031186, -0.065736, 1.255659>
  }
  box { // cross3
    <-1, -1, -1>, <1, 1, 1>
    scale <0.131603, 6.5249, 0.216146>
    translate  <-0.01111, -0.012667, 2.953856>
  }
  object { Grp6 }
  object { Grp7 }
  no_shadow
}
#declare bits12 = union {
  box { // bit24
    <-1, -1, -1>, <1, 1, 1>
    scale <0.135697, 0.41524, 0.097833>
    rotate -21.089729*x
    translate  <-0.027087, -4.413701, 1.73418>
  }
  box { // bit25
    <-1, -1, -1>, <1, 1, 1>
    scale <0.135697, 0.41524, 0.097833>
    rotate 21.09*x
    translate  <-0.029281, -5.43247, 1.73418>
  }
  rotate 90.0*z
  translate  <1.384853, 0.028062, 4.962448>
}
#declare bits13 = union {
  box { // bit26
    <-1, -1, -1>, <1, 1, 1>
    scale <0.135697, 0.41524, 0.097833>
    rotate -21.089729*x
    translate  <-0.027087, -4.413701, 1.73418>
  }
  box { // bit27
    <-1, -1, -1>, <1, 1, 1>
    scale <0.135697, 0.41524, 0.097833>
    rotate 21.09*x
    translate  <-0.029281, -5.43247, 1.73418>
  }
  rotate 90.0*z
  translate  <-4.920702, 0.028062, 4.962448>
}
#declare sidetoside = union {
  box { // topcross
    <-1, -1, -1>, <1, 1, 1>
    scale <5.378394, 0.137365, 0.31631>
    translate  <3.076606, 0.0, 6.142129>
  }
  object { bits12 }
  object { bits13 }
  cylinder { // Cylndr001
    <0,0,1>, <0,0,0>, 1 
    scale <0.649992, 0.56365, 0.261146>
    translate  <0.0, 0.0, 7.808176>
  }
  cylinder { // Cylndr2
    <0,0,1>, <0,0,0>, 1 
    scale <0.649992, 0.56365, 0.261146>
    translate  <6.300134, 0.0, 7.808176>
  }
  box { // midecube
    <-1, -1, -1>, <1, 1, 1>
    scale <0.617012, 0.08664, 1.080412>
    rotate -5.0*x
    translate  <3.247615, 0.116202, 7.371953>
  }
  box { // midecube1
    <-1, -1, -1>, <1, 1, 1>
    scale <0.617012, 0.08664, 1.080412>
    rotate 5.0*x
    translate  <3.247615, -0.145253, 7.371953>
  }
  no_shadow
}
#declare BzPtch001 = object {   object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-6.407246, -2.755416, 0.000000>, <-2.387856, -2.892193, 0.000000>, <2.081784, -2.892193, 0.000000>, <6.546950, -2.641428, 0.000000>, 
      <-6.810326, -1.661884, 0.000000>, <-2.387856, -1.000000, 0.000000>, <2.081784, -1.000000, 0.000000>, <7.030675, -1.645237, 0.000000>, 
      <-7.213405, -0.766616, 0.000000>, <-2.387856, 0.000000, 0.000000>, <2.081784, 0.000000, 0.000000>, <7.415268, -0.649046, 0.000000>, 
      <-8.047088, 1.297398, 0.000000>, <-2.387856, 0.702602, 0.000000>, <2.081784, 0.702602, 0.000000>, <8.534077, 1.297398, 0.000000>
    }
  }
  texture {
    Sandalwood1
  }
  no_shadow
  scale <1.0, 0.5, 1.0>
  rotate 71.112694*x
  translate  <3.116504, -0.257867, 9.206783>
}
#declare BzPtch2 = object {   object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-6.407246, -2.755416, 0.000000>, <-2.387856, -2.892193, 0.000000>, <2.081784, -2.892193, 0.000000>, <6.546950, -2.641428, 0.000000>, 
      <-6.810326, -1.661884, 0.000000>, <-2.387856, -1.000000, 0.000000>, <2.081784, -1.000000, 0.000000>, <7.030675, -1.645237, 0.000000>, 
      <-7.213405, -0.766616, 0.000000>, <-2.387856, 0.000000, 0.000000>, <2.081784, 0.000000, 0.000000>, <7.415268, -0.649046, 0.000000>, 
      <-8.047088, 1.297398, 0.000000>, <-2.387856, 0.702602, 0.000000>, <2.081784, 0.702602, 0.000000>, <8.534077, 1.297398, 0.000000>
    }
  }
  no_shadow
  scale <1.0, 0.5, 1.0>
  rotate 110.124428*x
  translate  <3.129526, 0.234609, 9.227937>
}
#declare BzPtch002 = union { 
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-3.280050, 0.000000, -0.991326>, <-3.280050, -1.000000, -0.991326>, <-1.280050, -1.000000, -0.991326>, <-1.280050, 0.000000, -0.991326>, 
      <-1.793061, 0.000000, 2.000000>, <-1.793061, -1.000000, 2.000000>, <-0.189591, -1.000000, 2.000000>, <-0.189591, 0.000000, 2.000000>, 
      <-1.793061, 0.000000, 4.000000>, <-1.793061, -1.000000, 4.000000>, <-0.189591, -1.000000, 4.000000>, <-0.189591, 0.000000, 4.000000>, 
      <-3.379182, 0.000000, 6.892193>, <-3.379182, -1.000000, 6.892193>, <-1.379182, -1.000000, 6.892193>, <-1.379182, 0.000000, 6.892193>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-1.280050, 0.000000, -0.991326>, <-1.280050, 1.000000, -0.991326>, <-3.280050, 1.000000, -0.991326>, <-3.280050, 0.000000, -0.991326>, 
      <-0.189591, 0.000000, 2.000000>, <-0.189591, 1.000000, 2.000000>, <-1.793061, 1.000000, 2.000000>, <-1.793061, 0.000000, 2.000000>, 
      <-0.189591, 0.000000, 4.000000>, <-0.189591, 1.000000, 4.000000>, <-1.793061, 1.000000, 4.000000>, <-1.793061, 0.000000, 4.000000>, 
      <-1.379182, 0.000000, 6.892193>, <-1.379182, 1.000000, 6.892193>, <-3.379182, 1.000000, 6.892193>, <-3.379182, 0.000000, 6.892193>
    }
  }
  no_shadow
  scale <0.1, 0.1, 2.11>
  rotate 90.0*y
  translate  <-2.833185, -0.037266, 9.644058>
}
union { // Group001
  object { otherside }
  object { otherside1 }
  object { sidetoside }
  object { BzPtch001 }
  object { BzPtch2 }
  object { BzPtch002 }
  texture {
    Sandalwood1
  }
  rotate -38.289268*z
}


object {   // Mountain
  height_field {
    gif "F:\RAY\UTILS\TERMKER\TERRAIN.GIF"
    water_level 0.0
  }
  rotate    <-90, 0, 0> // Turn onto XY plane. Now points along -Z
  scale     <  2, 2,-2> // Scale to Cube size. Now points along +Z
  translate < -1,-1,-1> // Center around origin
  texture {
    Rocky
  }
  no_shadow
  scale <10.0, 45.0, 10.0>
  rotate 90.0*z
  translate  <8.423686, 28.683454, 0.492134>
}


sphere { // Moon
  <0,0,0>,1
  texture {
    Moontxt
  }
  no_shadow
  scale 1.806246
  translate  <-26.162838, 40.495814, 7.730918>
}


box { // Sky
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Midnight_Sky
  }
  scale <60.0, 0.1, 39.637581>
  rotate -11.315532*y
  translate  <-10.356623, 62.490002, -0.143148>
}


